Name:           annotation-indexer
Version:        1.4
Release:        2%{?dist}
Summary:        Jenkins annotation-indexer library

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-annotation-indexer
Source0:        https://github.com/jenkinsci/lib-%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://raw.github.com/jenkinsci/jenkins/jenkins-1.510/LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)

%description
Annotation-indexer is a small java library
used for listing annotations at compile time.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n lib-%{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%build
# tests are disabled because of missing dependency (com.jolira:hickory)
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

